<?php

namespace Drupal\search_web_components_facets\Plugin\facets\widget;

use Drupal\Core\Form\FormStateInterface;
use Drupal\facets\FacetInterface;

/**
 * Provides a facet widget for facet-checkbox components.
 *
 * @FacetsWidget(
 *   id = "swc_checkbox",
 *   label = @Translation("Search Web Components: Checkbox"),
 *   description = @Translation("Configuration options for a checkbox facet."),
 * )
 */
class CheckboxWidget extends BaseWebComponentWidget {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state, FacetInterface $facet) {
    $form = parent::buildConfigurationForm($form, $form_state, $facet);

    $form['useRadios'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Use radio inputs'),
      '#default_value' => $this->configuration['useRadios'],
    ];

    return $form;
  }

}
